/*
 *	Hippogryf -- Main Program
 *
 *	(c) 2018 Martin Mares <mj@ucw.cz>
 */

#include "hippogryf.h"

int main()
{
	program pgm;

	try {
		pgm.load("in");
		pgm.resolve_labels();
	} catch (const parse_error &e) {
		cerr << "in:" << e.i << "," << e.j << ": " << e.what() << endl;
		exit(1);
	}

	pgm.save("out");

	state s(&pgm);
	s.debug = 1;
	s.run();
	s.show_regs();

	return 0;
}
